### Function

# FwupdPlugin efi_guid_to_name

since: 1.6.2

#### Declaration [src]

    const gchar*
    fu_efi_guid_to_name (
      const gchar* guid
    )

#### Description [src]

Converts a GUID to the known nice name.

Available since: 1.6.2

#### Parameters

`guid`

  Type: `const gchar*`

  A lowercase GUID string, e.g. `8c8ce578-8a3d-4f1c-9935-896185c32dd3`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

Identifier string, or `NULL` if unknown.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.